/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

/*取消汉堡菜单嵌套列表内滚动条*/
@media (max-width: 767px) {
  .brx-dropdown-content {
    overflow: hidden;
  }
	.brxe-block .brx-nav-nested-items {
    overflow: scroll;
	 scrollbar-width: none;
	}
}

/* 汉堡菜单[调整长度]+ 配合切换（打开：移动端  ->  栏  -> 规模：0.7 使用[调整高度]） */
.brxe-toggle .brxa-inner,.brxe-toggle .brxa-inner::before,.brxe-toggle .brxa-inner::after {
	width: 30px;
}

/* 子菜单下拉箭头外边框 */
@media (max-width: 767px) {
	.brx-submenu-toggle button svg {
		border-radius: 20px;
		border: 1px solid #000;
		padding: 2px 10px;
	}
}

/* 覆盖 vouahs 容器及其子元素点击背景 */ 
/* 很重要，不然手机端点击菜单的时候会导致整个菜单都带有默认背景高亮 */
#brxe-vouahs,
#brxe-vouahs *,
#brxe-vouahs a,
.brxe-container a,
#brxe-vouahs .brx-text-link {
  -webkit-tap-highlight-color: transparent !important;
}

/*弹窗消失后取消滚动条*/
html, body {
  overflow-x: hidden !important;
  width: 100% !important;
}

